module.exports = {
    name:"module-handler", // Unique name for our function that will later be used to get the function from the map via "mapFunctions.get("example").function()"
    async function(module,parameter){
        return new Promise(async (resolve, reject) => {
            if(mapFunctions.get(module) == undefined){
                reject("requested modules not found")
                return
            }
            mapFunctions.get(module).function(parameter).then((result) => {
                resolve(result)
            }).catch((err) => {
                reject(err)
            });
        })
    }
}